/*
** $Id: strings.h,v 1.6 2003/01/10 00:49:24 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002-2003 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Header file for string functions
**
** $Log: strings.h,v $
** Revision 1.6  2003/01/10 00:49:24  pief
** Extended copyright note to the new year
**
** Revision 1.5  2002/12/09 16:17:18  pief
** Reimplemented proper quoting behaviour
**
** Revision 1.4  2002/12/01 23:28:37  pief
** Replaced unescape() with more efficient unescquote() routine
**
** Revision 1.3  2002/10/25 15:59:37  pief
** Replaced names of per-file #define's to avoid possible namespace clashes
**
** Revision 1.2  2002/09/24 22:05:13  pief
** For some reason I checked in ancient versions, so here are the current
** ones
**
*/

#ifndef _METALSERVE_STRINGS_H
#define _METALSERVE_STRINGS_H

/*
** Public function prototypes
*/

/* Miscellaneous functions */
char *trim_line(char *line);
char *lower_string(char *string);
char *unescquote(const char *string);
void split_args(char *line, char **first, char **rest);

#endif
