/*
** $Id: waveaudio.h,v 1.3 2003/01/10 00:59:34 pief Exp $
**
** makelist - MetalServe file list generator
** Copyright (c) 2002-2003 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** Wave audio info functions header file
**
** $Log: waveaudio.h,v $
** Revision 1.3  2003/01/10 00:59:34  pief
** Extended copyright note to the new year
**
** Revision 1.2  2002/10/25 16:03:33  pief
** Replaced names of per-file #define's to avoid possible namespace clashes
**
** Revision 1.1  2002/09/24 21:46:36  pief
** Added first version of Wave Audio related functions
**
*/

#ifndef _METALSERVE_WAVEAUDIO_H
#define _METALSERVE_WAVEAUDIO_H

typedef struct _waveaudioinfo
{
	int length,				/* Length in seconds */
	    format,				/* Format of compressed audio */
	    channels,				/* Channels (mono/stereo) */
	    samplingfreq,			/* Sampling frequency in Hz */
	    bitspersample;			/* Bits per sample */
} WAVEAUDIOINFO;

/* There are about hundred format codes defined, but we only bother about the following few. */
#define FORMAT_ID_PCM			1
#define FORMAT_STR_PCM			"PCM uncompressed"

#define FORMAT_ID_MS_ADPCM		2
#define FORMAT_STR_MS_ADPCM		"Microsoft ADPCM"

#define FORMAT_ID_ITU_G711_ALAW		6
#define FORMAT_STR_ITU_G711_ALAW	"ITU/T G.711 Alaw"

#define FORMAT_ID_ITU_G711_MULAW	7
#define FORMAT_STR_ITU_G711_MULAW	"ITU/T G.711 Mulaw"

#define FORMAT_ID_DVI_IMA_ADPCM		17
#define FORMAT_STR_DVI_IMA_ADPCM	"DVI/IMA ADPCM"

#define FORMAT_ID_DOLBY_AC2		48
#define FORMAT_STR_DOLBY_AC2		"Dolby AC2"

#define FORMAT_ID_MPEG			80
#define FORMAT_STR_MPEG			"MPEG Audio"

#define FORMAT_ID_MP3			85
#define FORMAT_STR_MP3			"MPEG Audio Layer 3"

#define FORMAT_ID_DOLBY_AC3_SPDIF	147
#define FORMAT_STR_DOLBY_AC3_SPDIF	"Dolby AC3 (SPDIF)"

#define RIFF_ID				"RIFF"
#define RIFF_OFFSET			0
#define RIFF_LEN_OFFSET			4
#define WAVE_ID				"WAVE"
#define WAVE_OFFSET			8
#define FMT_ID				"fmt "
#define FMT_FORMAT_OFFSET		8
#define FMT_CHANNELS_OFFSET		10
#define FMT_SAMPLINGFREQ_OFFSET		12
#define FMT_BITSPERSAMPLE_OFFSET	22
#define FACT_ID				"fact"

/*
** Function prototypes
*/
BOOL examine_waveaudio_file(FILE *file, char *filename, SCANNODE *node);
void get_waveaudio_info_string(WAVEAUDIOINFO *info, char *buf);

#endif
